summaryrefslogtreecommitdiffstats
path: root/bin/reproducible_lede.sh
diff options
context:
space:
mode:
Diffstat (limited to 'bin/reproducible_lede.sh')
-rwxr-xr-xbin/reproducible_lede.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/bin/reproducible_lede.sh b/bin/reproducible_lede.sh
index b184f550..77ea110a 100755
--- a/bin/reproducible_lede.sh
+++ b/bin/reproducible_lede.sh
@@ -22,6 +22,16 @@ set -e
case $1 in
node)
shift
+ case $1 in
+ openwrt_build |\
+ openwrt_get_banner |\
+ openwrt_mktempdir |\
+ openwrt_cleanup_tmpdirs) ;; # this is the allowed list
+ *)
+ echo "Unsupported remote node function $@"
+ exit 1
+ ;;
+ esac
$@
exit $?
;;